using Encompass;
using Kav;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace KavTest
{
    public struct SpriteComponent : IComponent
    {
        public Texture2D Texture { get; }
        public Vector2 Origin { get; }
        public float Rotation { get; }
        public SpriteBillboardConstraint BillboardConstraint { get; }

        public SpriteComponent(
            Texture2D texture,
            Vector2 origin,
            float rotation,
            SpriteBillboardConstraint billboardConstraint
        ) {
            Texture = texture;
            Origin = origin;
            Rotation = rotation;
            BillboardConstraint = billboardConstraint;
        }
    }
}
