using Encompass;
using Kav;

namespace KavTest.Messages
{
    public struct MeshSpriteSpawnMessage : IMessage
    {
        public Transform3D Transform { get; }
        public MeshSprite MeshSprite { get; }

        public MeshSpriteSpawnMessage(
            Transform3D transform,
            MeshSprite meshSprite
        ) {
            Transform = transform;
            MeshSprite = meshSprite;
        }
    }
}
