using Encompass;
using Microsoft.Xna.Framework;

namespace KavTest.Components
{
    public struct SpotLightComponent : IComponent
    {
        public Color Color { get; }
        public float Intensity { get; }
        public float Angle { get; }
        
        public SpotLightComponent(Color color, float intensity, float angleInRadians)
        {
            Color = color;
            Intensity = intensity;
            Angle = angleInRadians;
        }
    }
}
